Raul::AtomRDF Namespace Reference

Conversion between Raul Atoms and Redlandmm RDF nodes. More...

## Functions

Atom | node_to_atom (Redland::Model &model, const Redland::Node &node)
| Convert a Redland::Node to a Raul::Atom.
Redland::Node | atom_to_node (Redland::Model &model, const Atom &atom)
| Convert a Raul::Atom to a Redland::Node Note that not all Atoms are serialisable, the returned node should be checked (can be treated as a bool) before use. More...

## Detailed Description

Conversion between Raul Atoms and Redlandmm RDF nodes.

This code (in header raul/AtomRDF.hpp) depends on redlandmm, only apps which directly depend on both raul and redlandmm should include it.

## Function Documentation

Redland::Node Raul::AtomRDF::atom_to_node | ( | Redland::Model & | model,
|  | const Atom & | atom
| ) |  |

inline

Convert a Raul::Atom to a Redland::Node Note that not all Atoms are serialisable, the returned node should be checked (can be treated as a bool) before use.

References Raul::Atom::type().